﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL
DATE:                  2017-07-26 09:01:38
AUTHOR:                Fluke
REVISION:              $Revision: 20445 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       196
CONFIGURATION:         Fluke Ocal (300MHz)
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        1 ea. BNC attenuator 2X (6 dB)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  JMPL         50MHz                        PSUB("Aux In 50 MHz")
  1.004  JMPL         250MHz                       PSUB("Aux In 250 MHz")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /O_CAL  ==============

  2.001  LABEL        50MHz
  2.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
  2.003  MATH         @AuxTrig = 1
  2.004  RSLT         =
  2.005  HEAD         -2{50 MHz, AUX TRIGGER}
  2.006  TARGET

  2.007  IF           @Chan == 1

  2.008  IF           FIND(@CalDev, "58", 1)
  2.009  MEM2         =CHAN 1
  2.010  ELSE
  2.011  MEM2         =SCOPE OUT
  2.012  ENDIF

  2.013  DISP         Connect Calibrator [MEM2] to a power splitter.
  2.013  DISP
  2.013  DISP         Connect one output of the power splitter to DUT
  2.013  DISP         Ch [V @Chan].
  2.013  DISP
  2.013  DISP         Connect the other output of the power splitter to
  2.013  DISP         DUT Aux In via a 50 Ω feedthrough termination.
  2.014  ELSE
  2.015  MATH         Ch =  @Chan; PrevCh = @Chan - 1
  2.016  DISP         Move connection at DUT from Ch [V PrevCh] to Ch [V Ch].
  2.016  DISP
  2.016  DISP         Remove the connection at DUT Aux In.
  2.016  DISP
  2.016  DISP         Remove the attenuator and re-connect to Aux In retaining
  2.016  DISP         the 50 Ω termination.
  2.017  ENDIF

  2.018  IEEE2        CH[V @Chan]:TER 50
  2.019  IEEE2        HOR:SCA 20E-9
  2.020  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[V @Chan];COUP DC;SLO RIS
  2.021  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
  2.022  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
  2.023  MATH         MEM = 250
  2.024  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.024  O_CAL        +Voltage = [MEM] mVpp; Frequency = 50 MHz
  2.025  IEEE2        TRIG:A SETL
  2.026  IEEE         ACQ:STOPA SEQ

  2.027  DO
  2.028  MATH         MEM = MEM1 + (250 - MEM) / 2

  2.029  IF           (MEM > 5000) || (MEM < 100)
  2.030  MATH         MEM = 250
  2.031  ENDIF

  2.032  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.032  O_CAL        +Voltage = [MEM] mVpp; Frequency = 50 MHz
  2.033  IEEE2        ACQ:STATE RUN
  2.034  IEEE         MEASU:IMM:VALUE?[I]
  2.035  MATH         MEM = MEM / 1E-3
  2.036  UNTIL        (MEM >= 249) && (MEM <= 251)

  2.037  MATH         @mVppApplied = MEM1
  2.038  IEEE2        TRIG:A:EDGE:SOU AUX;COUP DC;SLO:AUX RIS
  2.039  IEEE2        ACQ:STOPA RUNST;STATE RUN
  2.040  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  2.041  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

  3.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
  3.002  TARGET
  3.003  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
  3.004  O_CAL        Mode = LeveledSine
  3.004  O_CAL        +Voltage = [V @mVppApplied] mVpp; Frequency = 50 MHz
  3.005  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  3.006  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

  4.001  HEAD         -2
  4.002  HEAD
  4.003  O_CAL        Standby
  4.004  END

  4.005  EVAL   Increment test number

# =====  Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /O_CAL  =============

  5.001  LABEL        250MHz
  5.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
  5.003  MATH         @AuxTrig = 1
  5.004  RSLT         =
  5.005  HEAD         -2{250 MHz, AUX TRIGGER}
  5.006  TARGET
  5.007  IEEE2        CH[V @Chan]:TER 50
  5.008  IEEE2        HOR:SCA 1E-9
  5.009  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[V @Chan];COUP DC;SLO RIS
  5.010  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
  5.011  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
  5.012  MATH         MEM = 700
  5.013  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.013  O_CAL        +Voltage = [MEM] mVpp; Frequency = 250 MHz
  5.014  IEEE2        TRIG:A SETL
  5.015  IEEE         ACQ:STOPA SEQ

  5.016  DO
  5.017  MATH         MEM = MEM1 + (700 - MEM) / 2

  5.018  IF           (MEM > 5000) || (MEM < 100)
  5.019  MATH         MEM = 700
  5.020  ENDIF

  5.021  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.021  O_CAL        +Voltage = [MEM] mVpp; Frequency = 250 MHz
  5.022  IEEE2        ACQ:STATE RUN
  5.023  IEEE         MEASU:IMM:VALUE?[I]
  5.024  MATH         MEM = MEM / 1E-3
  5.025  UNTIL        (MEM >= 698) && (MEM <= 702)

  5.026  MATH         @mVppApplied = MEM1
  5.027  O_CAL        Standby
  5.028  DISP         Disconnect the cable at DUT Aux In.
  5.028  DISP
  5.028  DISP         Reconnect to Aux In through a 2X (6 dB) attenuator,
  5.028  DISP         retaining 50 Ω feedthrough termination.
  5.029  IEEE2        TRIG:A:EDGE:SOU AUX;COUP DC;SLO:AUX RIS
  5.030  IEEE2        ACQ:STOPA RUNST;STATE RUN
  5.031  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.031  O_CAL        +Voltage = [V @mVppApplied] mVpp; Frequency = 250 MHz
  5.032  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  5.033  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

  6.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
  6.002  TARGET
  6.003  IEEE2        TRIG:A:EDGE:SLO:AUX FALL
  6.004  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  6.004  O_CAL        +Voltage = [V @mVppApplied] mVpp; Frequency = 250 MHz
  6.005  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
  6.006  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

  7.001  HEAD         -2
  7.002  HEAD
  7.003  O_CAL        Standby
  7.004  END
